Bug 90028 - Importer drops Lotus Word Pro document formatting
Summary: Importer drops Lotus Word Pro document formatting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LWP
  Show dependency treegraph
 
Reported: 2015-03-15 19:43 UTC by Todd
Modified: 2020-06-15 13:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test lwp (61.16 KB, application/vnd.lotus-wordpro)
2015-03-15 19:43 UTC, Todd
Details
source document that crashes import (238.43 KB, application/vnd.lotus-wordpro)
2015-04-14 01:17 UTC, Todd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2015-03-15 19:43:04 UTC
Created attachment 114115 [details]
test lwp

Dear Libre Office,

I couldn't find 4.4.1 in the drop down.

LibreOffice_4.4.1_Linux_x86-64_rpm.tar.gz

I have attached a Lotus Word Pro document for you to do your import magic on.  Your importer drops all the tables and all the formatting.

The master document that this comes from (will have to remove private info, if you need it) actually crashes LO.  I figure fix this first, then work on the bigger one

Many thanks,
-T
Comment 1 Buovjaga 2015-03-20 19:14:46 UTC
Confirmed.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: fi_FI
Comment 2 David Tardon 2015-04-13 11:55:47 UTC
(In reply to Todd from comment #0)
> The master document that this comes from (will have to remove private info,
> if you need it) actually crashes LO.

I would be good if you could report this one too. Crashes are more important than data loss.
Comment 3 Todd 2015-04-14 01:17:13 UTC
Created attachment 114771 [details]
source document that crashes import

(In reply to David Tardon from comment #2)
> (In reply to Todd from comment #0)
> > The master document that this comes from (will have to remove private info,
> > if you need it) actually crashes LO.
> 
> I would be good if you could report this one too. Crashes are more important
> than data loss.

My current version of LO is LibreOffice_4.4.2_Linux_x86-64_rpm.tar.gz

This is the document (clean up for privacy) that I was trying to import data from.  The cleaned up document also crashes LO.  

You will note the use of division tabs in the document.  Division tabs have been repeatedly requested by a number of us over on:

https://bugs.freedesktop.org/show_bug.cgi?id=33173
Comment 4 David Tardon 2015-04-14 07:58:04 UTC
(In reply to Todd from comment #3)
> Created attachment 114771 [details]
> source document that crashes import
> 
> (In reply to David Tardon from comment #2)
> This is the document (clean up for privacy) that I was trying to import data
> from.  The cleaned up document also crashes LO.  

What I meant was to open a new bug, not attach the document here... Anyway, I fixed the crash now.
Comment 5 Todd 2015-04-14 08:30:01 UTC
(In reply to David Tardon from comment #4)
> (In reply to Todd from comment #3)
> > Created attachment 114771 [details]
> > source document that crashes import
> > 
> > (In reply to David Tardon from comment #2)
> > This is the document (clean up for privacy) that I was trying to import data
> > from.  The cleaned up document also crashes LO.  
> 
> What I meant was to open a new bug, not attach the document here... Anyway,
> I fixed the crash now.


Thank you!

Did you manage to get the formatting back too?
Comment 6 David Tardon 2015-04-14 08:35:05 UTC
No, I did not. That is why I left this bug opened.
Comment 7 tommy27 2016-04-16 07:28:07 UTC Comment hidden (obsolete)
Comment 8 Todd 2016-04-20 01:41:51 UTC
The attached test document still doesn't import properly in LibreOffice_5.1.2_Linux_x86-64_rpm.tar.gz
Comment 9 QA Administrators 2017-05-22 13:25:50 UTC Comment hidden (obsolete)
Comment 10 Todd 2017-05-22 18:39:04 UTC
As on LO 5.3.3.2, this bug is still being ignored
Comment 11 QA Administrators 2018-05-23 02:35:18 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2020-05-23 03:43:43 UTC Comment hidden (obsolete)
Comment 13 Todd 2020-05-23 04:45:13 UTC
Dear QA Admin,

Why do you guys continue to ignore so may bugs. This was posted on 2015-03-15.  LO is deteriorating into Open Office.

Anyway, under libreoffice6.4-writer-6.4.4.2-2.x86_64 it is EVEN WORSE!  IT CRASHES importing an lwp.

The crash report was successfully uploaded.
You can soon find the report at:
crashreport.libreoffice.org/stats/crash_details/fac0ba91-017c-4484-b0d6-a2c86d2f5fc6

And you still can not print an envelope properly.

-T
Comment 14 Buovjaga 2020-05-23 10:55:40 UTC
(In reply to Todd from comment #13)
> Why do you guys continue to ignore so may bugs. This was posted on
> 2015-03-15.  LO is deteriorating into Open Office.

Reasons why we ignore bugs:
- lack of volunteer work force
- lack of clients to contract fixes for specific problems from commercial support companies

> Anyway, under libreoffice6.4-writer-6.4.4.2-2.x86_64 it is EVEN WORSE!  IT
> CRASHES importing an lwp.

None of the lwp files attached to this report crash for me. If you have some lwp that crashes, please open a new report for it.

Arch Linux 64-bit
Version: 6.4.4.2
Build ID: 6.4.4-1
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Comment 15 Todd 2020-05-23 23:09:55 UTC
(In reply to Buovjaga from comment #14)
> (In reply to Todd from comment #13)
> > Why do you guys continue to ignore so may bugs. This was posted on
> > 2015-03-15.  LO is deteriorating into Open Office.
> 
> Reasons why we ignore bugs:
> - lack of volunteer work force
> - lack of clients to contract fixes for specific problems from commercial
> support companies

This does not cut it.  How many new releases do you do every month?  You obviously have the resources.  It is just a conscious decision on your part to ignore bugs reported by the users and concentrate on other things.  You can't print a envelope properly; your tables are all messed up, harder than the dickens to switch back and forth from landscape and portrait, no division tabs, etc., etc., etc.. Note that most of them have nothing to do with other vendors.

As I  previously stated, this is a conscious decision on your part.  And why Open Office got so bad and why you are going down the same road.
 
> > Anyway, under libreoffice6.4-writer-6.4.4.2-2.x86_64 it is EVEN WORSE!  IT
> > CRASHES importing an lwp.
> 
> None of the lwp files attached to this report crash for me. If you have some
> lwp that crashes, please open a new report for it.

Here is your new report to ignore:
https://bugs.documentfoundation.org/show_bug.cgi?id=133329

Here is the offending attachment to ignore:
https://bugs.documentfoundation.org/attachment.cgi?id=161208
Comment 16 Buovjaga 2020-05-24 09:55:48 UTC
(In reply to Todd from comment #15)
> (In reply to Buovjaga from comment #14)
> > (In reply to Todd from comment #13)
> > > Why do you guys continue to ignore so may bugs. This was posted on
> > > 2015-03-15.  LO is deteriorating into Open Office.
> > 
> > Reasons why we ignore bugs:
> > - lack of volunteer work force
> > - lack of clients to contract fixes for specific problems from commercial
> > support companies
> 
> This does not cut it.  How many new releases do you do every month?  You
> obviously have the resources.  It is just a conscious decision on your part
> to ignore bugs reported by the users and concentrate on other things.  You
> can't print a envelope properly; your tables are all messed up, harder than
> the dickens to switch back and forth from landscape and portrait, no
> division tabs, etc., etc., etc.. Note that most of them have nothing to do
> with other vendors.

To unpack a bit, "you" in your claim refers to a diverse group consisting of
- volunteer developers
- developers employed by companies
- TDF employees to a very small degree (no one is employed by TDF to do core development specifically!)

I don't understand how you can say "you obviously have the resources" without quantifying the claim in any way. You have to understand that we have over 12000 open reports: https://bugs.documentfoundation.org/reports.cgi?product_id=109&datasets=NEW The resources in the whole ecosystem are used to their maximum capacity at any given moment. To accelerate the pace of development, new resources must be found.

User-reported bugs are being fixed every day, I think it is usually around a thousand per year.
Comment 17 Todd 2020-05-26 20:11:21 UTC
I installed LibreOfficeDev_7.0.0.0.alpha1_Linux_x86-64_rpm.tar.gz on a virtual machine untouched by previous Libre office installations.

I was able to import the attachment to bug 133329 without crashing.  The import really stunk, but it did not crash.

So, this bug still exists.  Document formatting is still messed up on import.
Comment 18 Todd 2020-05-26 20:15:34 UTC
> I don't understand how you can say "you obviously have the resources"
> without quantifying the claim in any way. You have to understand that we
> have over 12000 open reports:


Here is an idea.  Pick out a new release.  7.0 will do.  And do not add any new features.  Instead put your resources into fixing as many bugs as you possible can. Once you got all the bugs fixed, then start releases with new features.  And occasionally, go bad and have another bug fix only release to catch up.  If you keep with new feature and don't fix your bugs, it is Open Office all over again.
Comment 19 Buovjaga 2020-05-27 07:40:15 UTC
(In reply to Todd from comment #18)
> > I don't understand how you can say "you obviously have the resources"
> > without quantifying the claim in any way. You have to understand that we
> > have over 12000 open reports:
> 
> Here is an idea.  Pick out a new release.  7.0 will do.  And do not add any
> new features.  Instead put your resources into fixing as many bugs as you
> possible can. Once you got all the bugs fixed, then start releases with new
> features.  And occasionally, go bad and have another bug fix only release to
> catch up.  If you keep with new feature and don't fix your bugs, it is Open
> Office all over again.

I love your idea, but I can't order volunteers and companies around.
Comment 20 David Tardon 2020-06-13 14:11:18 UTC
(In reply to Todd from comment #15)
> (In reply to Buovjaga from comment #14)
> > Reasons why we ignore bugs:
> > - lack of volunteer work force
> > - lack of clients to contract fixes for specific problems from commercial
> > support companies
> 
> This does not cut it.  How many new releases do you do every month?  You
> obviously have the resources.  It is just a conscious decision on your part
> to ignore bugs reported by the users and concentrate on other things.

You seem to think that there's someone who's in a position to issue orders to the contributors, like what to work (or do not work) on... I have to disappoint you. That's not how Open Source development works. The contributors are either volunteers, who work on what they want to; or employees of companies offering LibreOffice support, who work on what they are paid to. If there isn't anybody who wants to spend HIS time to fix reported bugs in LWP import (or is paid to), it won't be done. It's as simple as that. If you don't like waiting, then fix the bug yourself. Or find/motivate someone to do it for you. (Or pay to one of the support companies, after all.)

Btw, that YOUR bug hasn't been fixed doesn't mean that we don't fix bugs. Your claim is not only not true, it's insulting. That doesn't give much motivation to any volunteer looking at this bug...

Last thing: I don't understand the releases argument. Even if we did nothing else bug fix reported bugs for the next few years, the release cadence would remain the same, because releases are the only way to get the fixes to users. If anything, the amount of work on releases would increase, because more fixes on master would undoubtedly lead to more backports to older branches...
Comment 21 Todd 2020-06-13 19:58:48 UTC
(In reply to David Tardon from comment #20)

> 
> Btw, that YOUR bug hasn't been fixed doesn't mean that we don't fix bugs.
> Your claim is not only not true, it's insulting. That doesn't give much
> motivation to any volunteer looking at this bug...
 
You miss the point.  This is not meant to be offensive.  This is meant


> Last thing: I don't understand the releases argument. Even if we did nothing
> else bug fix reported bugs for the next few years, the release cadence would
> remain the same, because releases are the only way to get the fixes to
> users. If anything, the amount of work on releases would increase, because
> more fixes on master would undoubtedly lead to more backports to older
> branches...

(In reply to David Tardon from comment #20)
> (In reply to Todd from comment #15)
> > (In reply to Buovjaga from comment #14)
> > > Reasons why we ignore bugs:
> > > - lack of volunteer work force
> > > - lack of clients to contract fixes for specific problems from commercial
> > > support companies
> > 
> > This does not cut it.  How many new releases do you do every month?  You
> > obviously have the resources.  It is just a conscious decision on your part
> > to ignore bugs reported by the users and concentrate on other things.
> 
> You seem to think that there's someone who's in a position to issue orders
> to the contributors, like what to work (or do not work) on... I have to
> disappoint you. That's not how Open Source development works. The
> contributors are either volunteers, who work on what they want to; or
> employees of companies offering LibreOffice support, who work on what they
> are paid to. If there isn't anybody who wants to spend HIS time to fix
> reported bugs in LWP import (or is paid to), it won't be done. It's as
> simple as that. If you don't like waiting, then fix the bug yourself. Or
> find/motivate someone to do it for you. (Or pay to one of the support
> companies, after all.)

What you describe is total anarchy.  If that were the case, nothing would ever get accomplished.  You do have a controlling authority and Libre Office would fly apart.

> Btw, that YOUR bug hasn't been fixed doesn't mean that we don't fix bugs.
> Your claim is not only not true, it's insulting. That doesn't give much
> motivation to any volunteer looking at this bug...

You miss the point.  This is not meant to be offensive.  This is meant as a wake up to a problem.  I am I.T. support to small businesses. I have spread Libre Office over two counties in my state – probably 200 by now.  I am a YUGE supporter of Libre Office.  I install Libre Office on all new installations.

But I can’t get folks to keep Libre Office on their machines.  It is simply TOO BUGGY.  I have even had employees go buy their own copies and also pirate copies of M$O they were so angry over the issue.  Now, part of this is that some users just can’t learn anything new, but most of it is the BUGS. And I am sorry to say this, but It is not just some customers, it is universal.  I am the only one that I know of in my business that actually uses Libre Office.  (But mostly I have to use Word Pro for the envelopes and tables.)

You can’t print an envelope.  You can manipulate tables.  It is harder than the dickens to switch from portrait and landscape.  Navigating the document is so annoying you wind up just using page up and down and you WILL NOT implement the begged for and pleaded for divisions tabs.

When Libre Office first started, you sent out a mailer to all of us Open Office bug reporters asking for a list of long standing bugs.  I had some out there for seven years.  You guys fixed my list in under a month.  I thought I’d died and gone to word processing heaven.  Now Libre Office is back to Open Office’s attitude.  This is why Open Office died.  IT WAS UNUSABLE.  I DO NOT WANT TO SEE Libre Office DIE IN SUCH A SIMILAR FASHION.

Now you can take offence at what I just said and anyone can take offence at anything, but the spirit in which I am complaining is that I want Libre Office to become usable to the point where users stop having me remove it and stop wasting tons of money on M$O.  I am a fan, not a detractor.  This is a wake up call.  You need to listen to what your friends have to say about you.

And yes, you do fix “some” bugs.  But you let the rest age out like Open Office did.


> 
> Last thing: I don't understand the releases argument. Even if we did nothing
> else bug fix reported bugs for the next few years, the release cadence would
> remain the same, because releases are the only way to get the fixes to
> users. If anything, the amount of work on releases would increase, because
> more fixes on master would undoubtedly lead to more backports to older
> branches...

Okay, this is what I meant.  You manufacturer an automobile.   It won’t drive in a straight line.  You respond by adding cool new features to it but don’t fix the straight line problem. 

Stop adding new features until you fix the problem.  And by all means keep with the release schedule.  Just make every so many releases a bug only fix release.  Every four releases would be cool.  Get caught up with the bugs, then add cool new features.  And I will again feel like I have died and gone back to word processing heaven, like when Libre Office first started.
Comment 22 Buovjaga 2020-06-13 20:27:51 UTC
Your support in the form of bug reports is appreciated, but when it comes to implementing bug fixes it takes money. You have to inject funds into the company ecosystem.

You might find some interesting bits in the "Ecosystem & Sustainability" topic of these recent board minutes: https://listarchives.documentfoundation.org/www/board-discuss/msg04524.html

(In reply to Todd from comment #21)
> (In reply to David Tardon from comment #20)
> > You seem to think that there's someone who's in a position to issue orders
> > to the contributors, like what to work (or do not work) on... I have to
> > disappoint you. That's not how Open Source development works. The
> > contributors are either volunteers, who work on what they want to; or
> > employees of companies offering LibreOffice support, who work on what they
> > are paid to. If there isn't anybody who wants to spend HIS time to fix
> > reported bugs in LWP import (or is paid to), it won't be done. It's as
> > simple as that. If you don't like waiting, then fix the bug yourself. Or
> > find/motivate someone to do it for you. (Or pay to one of the support
> > companies, after all.)
> 
> What you describe is total anarchy.  If that were the case, nothing would
> ever get accomplished.  You do have a controlling authority and Libre Office
> would fly apart.

It is not total anarchy as there is an engineering steering committee constantly weighing various topics: https://wiki.documentfoundation.org/Development/ESC 

However, having this sort of an entity does not mean it has the power to make developers fix specific bugs. The freedom for a developer to fix arbitrary bugs has to be granted by their employer. It is true that many companies allocate a certain amount of time for working on whatever the employee feels important.

> Stop adding new features until you fix the problem.  And by all means keep
> with the release schedule.  Just make every so many releases a bug only fix
> release.  Every four releases would be cool.  Get caught up with the bugs,
> then add cool new features.  And I will again feel like I have died and gone
> back to word processing heaven, like when Libre Office first started.

You are free to go and establish a company, win contracts and hire developers to fix all the bugs your clients are willing to pay for.
Comment 23 Todd 2020-06-13 21:35:17 UTC
(In reply to Buovjaga from comment #22)

> You are free to go and establish a company, win contracts and hire
> developers to fix all the bugs your clients are willing to pay for.

I do own a company.  I can not afford one single more expense.  I hate to admit it, but it only keeps a roof over my head.

What you are stating is only those folks that can afford to put you on the payroll can get things fixed, meaning large (big business) companies.

You need to make some previsions for the general public and those that can not afford to hire you.  And fix some bugs.  I hate to see LO die like this.